



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>【centos7】添加开机启动服务/脚本</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">【centos7】添加开机启动服务/脚本</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-16 21:57:26 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h1>一、添加开机自启服务</h1>
<p>在centos7中添加开机自启服务非常方便，只需要两条命令(以Jenkins为例)：</p>
<pre class="prettyprint linenums"><code>systemctl enable jenkins.service #设置jenkins服务为自启动服务<br />
sysstemctl start  jenkins.service #启动jenkins服务<br />
</code></pre>
<h1>二、添加开机自启脚本</h1>
<p>在centos7中增加脚本有两种常用的方法，以脚本autostart.sh为例：</p>
<pre class="prettyprint linenums"><code>#!/bin/bash<br />
#description:开机自启脚本<br />
/usr/local/tomcat/bin/startup.sh  #启动tomcat<br />
</code></pre>
<h2>方法一</h2>
<p>1、赋予脚本可执行权限（/opt/script/autostart.sh是你的脚本路径）</p>
<pre class="prettyprint linenums"><code>chmod +x /opt/script/autostart.sh<br />
</code></pre>
<p>2、打开/etc/rc.d/rc/local文件，在末尾增加如下内容</p>
<pre class="prettyprint linenums"><code>/opt/script/autostart.sh<br />
</code></pre>
<p>3、在centos7中，/etc/rc.d/rc.local的权限被降低了，所以需要执行如下命令赋予其可执行权限</p>
<pre class="prettyprint linenums"><code>chmod +x /etc/rc.d/rc.local<br />
</code></pre>
<h2>方法二</h2>
<p>1、将脚本移动到/etc/rc.d/init.d目录下</p>
<pre class="prettyprint linenums"><code>mv  /opt/script/autostart.sh /etc/rc.d/init.d<br />
</code></pre>
<p>2、增加脚本的可执行权限</p>
<pre class="prettyprint linenums"><code>chmod +x  /etc/rc.d/init.d/autostart.sh<br />
</code></pre>
<p>3、添加脚本到开机自动启动项目中</p>
<pre class="prettyprint linenums"><code>cd /etc/rc.d/init.d<br />
chkconfig --add autostart.sh<br />
chkconfig autostart.sh on<br />
</code></pre>
<p><strong>以上两种方法均已在centos7系统上验证过，如有疑问，欢迎大家评论留言</strong></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m96pwwn8.html">&lbrack;资料分享&rsqb;nutch视频教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8me5jpq.html">SOAPUI使用教程-从现有的服务创建REST模拟服务</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy115ngq.html">返璞归真 asp&period;net mvc &lpar;6&rpar; - asp&period;net mvc 2&period;0 新特性</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jjpgv8.html">EXCEL 两人的建立Y轴</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwjlrpz8.html">MyBatis 3 与 Spring 4 整合关键</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjp5y09.html">Spring MVC 实现文件的上传和下载 &lpar;八&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zy416d9.html">Git 日常工作中使用的命令记录</a>
		</li>
						<li><a href="https://www.batexi.com/a/960kd149.html">Postfix 邮件服务 - DNS服务</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4jlrz0q.html">django之ReverseOneToOneDescriptor</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zkexlx8.html">LAXCUS大数据操作系统3&period;03版本发布，欢迎使用试用</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql12z7e9.html">codeBlocks编译undefined reference to错误</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmonk09.html">&lbrack;Scala随用随学&rsqb; &mdash;&mdash; sealed声明的作用</a>
		</li>
						<li><a href="https://www.batexi.com/a/qveyono9.html">mysql 非安装版的配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxld6kdq.html">PHP学习9&mdash;&mdash;MySQL数据库</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlovne6q.html">Object&period;prototype&period;hasOwnProperty&lpar;&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qndpd638.html">【LeetCode】036&period; Valid Sudoku</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlnlvr18.html">BCB：AnsiString和String的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4mjrv5q.html">apache kafka参考</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1pp515q.html">Samba简单配置－－匿名用户共享资料可读可写的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kn21l78.html">PatentTips - Hamming distance comparison</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/0qw03y97.html">使用nginx反向代理，一个80端口下，配置多个微信项目</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qxy4j9y.html">Linux学习日记&lpar;二&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlvzx9o.html">MVC5 - ASP&period;NET Identity登录原理 - Claims-based认证和OWIN</a>
			</li>
						<li><a href="https://www.batexi.com/a/5qx630qy.html">&lbrack; 技术人员创业Tips &rsqb; 1：抓住优质客户（上）</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kk7r8j.html">基于Kubernetes在AWS上部署Kafka时遇到的一些问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/m8zlodqy.html">Entity Framework 6 Recipes 2nd Edition（12-7）译 -&amp;gt&semi; 设定默认值</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8kdj69j.html">stanford corenlp的TokensRegex</a>
			</li>
						<li><a href="https://www.batexi.com/a/o8o2l59z.html">再次思考 classpath 环境变量 等</a>
			</li>
						<li><a href="https://www.batexi.com/a/wq12r59g.html">Atitit MATLAB 图像处理attilax总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/rql2508o.html">SQL Server 批量主分区备份（Multiple Jobs）</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
